Subject: Re: [PATCH v3 4/4] CodingGuidelines: recommend singular they

From: Junio C Hamano <[email-masked]>
Date: Mon, 28 Jun 2021 15:32:37 -0700

Junio C Hamano <[email-masked]> writes:

> "brian m. carlson" <[email-masked]> writes:
>
>> I agree that in many cases we can effectively rephrase to avoid needing
>> to do this, but if we acknowledge that sometimes we will need to write
>> using third-person personal pronouns in some cases, it's worth
>> documenting what those should be.
>
> I think we've heard enough from both sides and there probably is not
> misunderstanding among the folks, even though there are differences
> of opinions.
>
> I would like to consider that the last draft I did [*1*] based on
> earlier suggestions by Derrick and Ævar would be a reasonable middle
> ground.
>
> I'll go mostly offline next week---I'd notice if the list came up
> with a vastly different concensus when I come back, but hopefully
> not ;-)

Well, I misspoke.  If the list reached a consensus while I was away,
then that would have been a happy outcome, whether it was close to,
or vastly different from, the one I suggested.

In any case, I haven't even started to try catching up with the list
traffic last week, so hopefully I'll see soon enough what you folks
decided (or not).

> Thanks.
>
>
> [Reference]
>
> *1* https://lore.kernel.org/git/[email-masked]/